2017-12-17 10:04 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003178Kali Linux[All Projects] Tool Upgradepublic2016-07-28 07:59
ReporterUNATCO 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003178: Upgrade Lynis to v2.2.0
DescriptionLynis v2.2.0 released 03/18/16

Kali 2016.1 has v2.1.1

https://cisofy.com/download/lynis/
Attached Files

-Relationships
+Relationships

-Notes

~0005169

UNATCO (reporter)

v2.2.0 seems stable and is recommended by the author to update.

Many exciting and useful changes.

https://github.com/CISOfy/lynis/blob/master/CHANGELOG

~0005243

UNATCO (reporter)

From the Cisofy website:

= Lynis 2.2.0 (2016-03-18) =

We are proud to present this new release of Lynis. It is a major upgrade, and the
result of many months of work. This version includes new features and tests, and
many small enhancements. We encourage all to test and upgrade to this latest
release.

~0005263

UNATCO (reporter)

* Highlights
------------
The biggest change in this release is the optimization of several functions. It
allows for better detection, and dealing with the quirks, of every single
operating system. Some functions were fortified to handle unexcepted results
better, like missing a particular binary, or not returning the hostname.

This release also enables tests to be shorter, by adding new functions. Some
functions were renamed or slightly changed, to provide more value to the tooling.
Another big change in this release is a wide set of optimizations and quality
testing. Outdated pieces were removed, or rewritten, to support features seen in
newer distributions.

In the area of compliance, adjustments have been made to start supporting more
in-depth testing for this. Ideal for companies who have a particular compliance
need, or want to test and enforce the system hardening levels of their systems.

Last but not least, many small changes make this software easier to use. On
our website we added new guides to provide help and support.

We like to thank our contributors, in particular Kamil BoratyƄski, Steve Bosek,
and Eric Light. Their contributions helped us greatly shaping this release.

~0005422

UNATCO (reporter)

Any interest?

~0005607

UNATCO (reporter)

Saw that you guys are going to publicly demo Kali soon. New release has moved up the priority ladder.

If it's feasible, upgrading lynis to the most recent version (which revamps some major things) would help to tidy up and modernize Kali for the best presentation.

Just a thought.

~0005608

rhertzog (administrator)

I have copied lynis 2.3.1 from Debian unstable into Kali Dev. It will appear shortly in Kali Rolling.
+Notes

-Issue History
Date Modified Username Field Change
2016-03-20 12:26 UNATCO New Issue
2016-04-30 03:49 UNATCO Note Added: 0005169
2016-05-13 04:38 UNATCO Note Added: 0005243
2016-05-19 20:00 UNATCO Note Added: 0005263
2016-06-27 08:56 UNATCO Note Added: 0005422
2016-07-28 03:23 UNATCO Note Added: 0005607
2016-07-28 07:56 rhertzog Assigned To => sbrun
2016-07-28 07:56 rhertzog Status new => assigned
2016-07-28 07:56 rhertzog Assigned To sbrun => rhertzog
2016-07-28 07:59 rhertzog Note Added: 0005608
2016-07-28 07:59 rhertzog Status assigned => resolved
2016-07-28 07:59 rhertzog Fixed in Version => 2016.2
2016-07-28 07:59 rhertzog Resolution open => fixed
+Issue History